#!/usr/bin/ksh
# by Dirk Schaefer
 
#set -x
LOG="/tmp/veritas_info.txt"
DATUM=`date +%d.%m.%Y`
HOSTNAME=`hostname`
 
echo "+--------------------------------------------------------+" > $LOG
echo "Maschine:      $HOSTNAME " >> $LOG
echo "Datum:         $DATUM " >> $LOG
echo "+--------------------------------------------------------+" >> $LOG
echo "">> $LOG
echo "">> $LOG
echo "+--------------------------------------------------------+" >> $LOG
echo "Uebersicht ueber Volume Manager diskgroups" >> $LOG
echo "+--------------------------------------------------------+" >> $LOG
echo "">> $LOG
vxdg list >> $LOG
echo "">> $LOG
echo "+--------------------------------------------------------+" >> $LOG
echo "Uebersicht ueber Volume Manager Disks" >> $LOG
echo "+--------------------------------------------------------+" >> $LOG
vxdisk list >> $LOG
echo "">> $LOG
echo "">> $LOG
echo "+--------------------------------------------------------+" >> $LOG
echo "Uebersicht ueber den aktuellen Status und die " >> $LOG
echo "Konfiguration des Volume Managers " >> $LOG
echo "+--------------------------------------------------------+" >> $LOG
vxprint -ht >> $LOG
 
mailx -s "Veritas Infos $HOSTNAME $DATUM" dirk.schaefer@dit.de < $LOG
rm $LOG

