C
#! /bin/sh

PATH=$PATH:/usr/local/bin:/usr/ccs/bin:/usr/local/etc:/usr/openwin/bin
export PATH

mv /mnt/setup/gzip /usr/bin/gzip

#######################
#Erstellen des Verzeichnisses /usr/local/xchg wenn nicht vorhanden!
ls -la /xchg > /dev/null
if [ "$?" -ne "0" ];then
        mkdir /usr/local
        cd /usr/local
        mkdir xchg
        cd /
        ln -s /usr/local/xchg /xchg
fi
#######################

#######################
# link /users to /export/home
cd /export
mkdir home
ln -s /export/home /users

#######################
# checks if gcc is installed and if not instals it.
pkginfo | grep gcc > /dev/null
if [ "$?" -ne "0" ];then
	gzip -d gcc-2.95.3-sol7-sparc-local.gz
	pkgadd -d gcc-2.95.3-sol7-sparc-local
	rm gcc-2.95.3-sol7-sparc-loca
	echo " gcc installed"
fi


#########################
# manpath
catman -w

#########################
# Modify /etc/default/login
cat /etc/default/login |grep #CONSOLE > /dev/null
	if [ "$?" -ne "0" ];then
		mv /etc/default/login /etc/default/login_orig
		sed s/#CONSOLE/CONSOLE/ /etc/default/login_orig > /etc/default/login
	fi

#########################
# Modify /etc/default/su
cat /etc/default/su |grep #CONSOLE > /dev/null
        if [ "$?" -ne "0" ];then
                mv /etc/default/su /etc/default/su_orig
                sed s/#CONSOLE/CONSOLE/ /etc/default/su_orig > /etc/default/su
        fi

#########################
# Modify /etc/default/inetinit
mv /etc/default/inetinit /etc/default/inetinit_org
sed s/TCP\_STRONG\_ISS=1/TCP\_STRONG\_ISS=2/ inetinit_org > /etc/default/inetinit 

#########################
# Modify /etc/default/passwd
mv /etc/default/passwd /etc/default/passwd_org
sed s/PASSLENGTH=6/PASSLENGTH=7/ passwd_org > /etc/default/passwd

#########################
# Modify /etc/default/telnetd and /etc/default/ftpd
echo BANNER=\"\" > /etc/default/telnetd
echo BANNER=\"\" > /etc/default/ftpd

#########################
# Modify /etc/syslog.conf

mv /etc/syslog.conf /etc/syslog_orig.conf
sed s/#auth\.notice/auth\.notice/ /etc/syslog_orig.conf > /etc/syslog.conf

#########################
# modify /etc/system for hme or qfe interface
cd /mnt/setup
ifconfig -a | grep hme > /dev/null
if [ "$?" -eq "0" ];then
	cat hme >> /etc/system
else ifconfig -a | grep qfe > /dev/null
	if [ "$?" -eq "0" ];then
		cat qfe >> /etc/system
	fi
fi

#########################
# Modify /etc/inet/inetd.conf

mv /etc/inet/inetd.conf /etc/inet/inetd.conf_orig
sed "s/^/#/" /etc/inet/inetd.conf_orig > /etc/inet/inetd.conf

#########################
# Modify /etc/ftpusers
echo root >> /etc/ftpusers

#########################
# Modify /etc/snmpd.conf
mv /etc/snmp/conf/snmpd.conf /etc/snmp/conf/snmpd.conf_org
cp /mnt/setup/snmpd.conf /etc/snmp/conf/snmpd.conf

#########################
# edit profiles
mv profile /etc/profile
chown root:sys /etc/profile
mv .profile /.profile
echo unix-admins_dl@dit.de > /.forward

#########################
#
chmod -R g-w,o-w /etc
chmod 550 /usr/sbin/snoop
touch /var/adm/loginlog
chown root:sys /var/adm/loginlog
chmod 640 /var/adm/loginlog
chmod 600 /var/adm/messages
chmod 600 /var/log/syslog
chmod 770 /var/log
chown root:sys /etc/default/*

#########################
echo root > /etc/cron.d/at.allow
echo root > /etc/cron.d/cron.allow
chown root:sys /etc/cron.d/at.allow
chown root:sys /etc/cron.d/cron.allow

##########################
# Edit /etc/mail/sendmail.cf
cat /etc/mail/sendmail.cf |grep DSmailhost
if [ "$?" -eq "0" ];then
	cp /etc/mail/sendmail.cf /etc/mail/sendmail.cf_orig
	sed s/DSmailhost\.\$m/Dsmail\.\$m/ /etc/mail/sendmail.cf_orig > /etc/mail/sendmail.cf
fi

########################## 
#
cd /mnt/setup
mv ntp.conf /etc/inet/ntp.conf

##########################
# Modiy crontabs
cd /var
mkdir root
cd root
mkdir cronjob config log
cp /mnt/setup/cronjob/* /var/root/cronjob/
cp /mnt/setup/config/* /var/root/config/
ifconfig -a |grep hme > /dev/null
	if [ "$?" -eq "0" ];then
		for INTERF in `ifconfig -a |grep hme|nawk -F" " '{ print substr($1, 1, length($1) - 1)}`;
		do
			echo "/usr/sbin/ifconfig $INTERF >> \$log" >> /var/root/cronjob/rapport.sh;
		done
	else
		ifconfig -a |grep qfe > /dev/null
			if [ "$?" -eq "0" ];then
				for INTERF in `ifconfig -a |grep qfe|nawk -F" " '{ print substr($1, 1, length($1) - 1)}`;
		                do
               				echo "/usr/sbin/ifconfig $INTERF >> \$log" >> /var/root/cronjob/rapport.sh;
                		done
			fi
	fi

echo '0 0 * * 1-5  /var/root/cronjob/del.sh                         #inserted by poppsetup >> /var/spool/cron/crontabs/root 
echo '0 8 * * 1-5  /var/root/cronjob/rapport.sh                     #inserted by poppsetup >> /var/spool/cron/crontabs/root
echo '0 8 * * 1-5  /var/root/cronjob/get-ssh-auth                   #inserted by poppsetup >> /var/spool/cron/crontabs/root
echo '0 8 * * 1-5  /var/root/cronjob/log_checker.pl 		    #inserted by poppsetup >> /var/spool/cron/crontabs/root
echo '0 8 * * 1-5  /var/root/cronjob/veritas_check.sh               #inserted by poppsetup >> /var/spool/cron/crontabs/root
echo '0,10,20,30,40,50 * * * *  /var/root/cronjob/start_sshd start  #inserted by poppsetup >> /var/spool/cron/crontabs/root

#############################
# Modifys rc.d*

cat /mnt/setup/rc.changes |while read A1 A2
	do
		mv $A1 $A2
	done

#############################
#edit /etc/issue

mv /mnt/setup/issue /etc/issue

#############################
# edit /etc/notrouter
touch /etc/notrouter
