#! /bin/sh
#
# rapport.sh
#
# Autor:	31.10.2002 Dirk Schaefer
# Version:	1.0
#
# Aenderungen:
# set -x
log="/tmp/benutzer_cron.txt"

CAT=/usr/bin/cat
DATE=/usr/bin/date
MAIL=/usr/bin/mailx
RM=/usr/bin/rm
HOSTNAME=/usr/bin/hostname

if [ $# -eq "0" ]; then
        echo "Bitte Mailadresse mit angeben"
        exit 1
elif [ $# -ge "2" ]; then
        echo "Zuviele Mailadressen angeben"
        exit 2
elif [ $# -eq "1" ]; then
        POSTLIST=$1
fi
DATUM=`${DATE} +%d.%m.%Y`
echo "\n\n"> $log
echo "+----------------------------------------------------------------------------------+" >> $log
echo "\n\n">> $log
echo "#####  ###### #     # #    # ######## ####### ###### #####     " >> $log
echo "#    # #      ##    # #    #    #          #  #      #    #    #     " >> $log
echo "#    # #      # #   # #    #    #         #   #      #    #    #         " >> $log
echo "#####  ####   #  #  # #    #    #        #    #####  #####  #######" >> $log
echo "#    # #      #   # # #    #    #       #     #      #   #     #     " >> $log
echo "#    # #      #    ## #    #    #      #      #      #    #    #         " >> $log
echo "#####  ###### #     #  ####     #     ####### ###### #    #     " >> $log
echo "\n\n\n\n\n\n\n\n">> $log
echo " ####  #####    ##   #     #  " >> $log
echo "#      #    #  #  #  ##    #  " >> $log
echo "#      #    # #    # # #   #  " >> $log
echo "#      #####  #    # #  #  #  " >> $log
echo "#      #   #  #    # #   # #  " >> $log
echo "#      #    #  #  #  #    ##  " >> $log
echo " ####  #    #   ##   #     #  " >> $log
echo "\n\n\n">> $log
echo "+----------------------------------------------------------------------------------+" >> $log
echo "Maschine:      `$HOSTNAME` " >> $log
echo "Datum:         $DATUM " >> $log
echo "+----------------------------------------------------------------------------------+" >> $log
echo "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n" >> $log

echo "######################################################################################" >> $log
echo "# Inhalt der /etc/passwd                                                             #" >> $log
echo "######################################################################################" >> $log
if [ -s /etc/passwd ]; then
	echo "" >> $log
	${CAT}  /etc/passwd  >> $log
	echo "" >> $log
else
	echo "" >> $log
	echo "**************************************************************************************" >> $log
	echo "\tDie /etc/passwd ist leer oder nicht vorhanden"  >> $log
	echo "**************************************************************************************" >> $log
	echo "" >> $log
fi
echo "######################################################################################" >> $log
echo "# Inhalt der /etc/group                                                              #" >> $log
echo "######################################################################################" >> $log
if [ -s /etc/group ]; then
	echo "" >> $log
	${CAT}  /etc/group  >> $log
	echo "" >> $log
else
	echo "" >> $log
	echo "**************************************************************************************" >> $log
	echo "\tDie /etc/group ist leer oder nicht vorhanden"  >> $log
	echo "**************************************************************************************" >> $log
	echo "" >> $log
fi
echo "######################################################################################" >> $log
echo "# Inhalt der /etc/shadow                                                             #" >> $log
echo "######################################################################################" >> $log
if [ -s /etc/shadow ]; then
	echo "" >> $log
	${CAT}  /etc/shadow  >> $log
	echo "" >> $log
else
	echo "" >> $log
	echo "**************************************************************************************" >> $log
	echo "\tDie /etc/shadow ist leer oder nicht vorhanden"  >> $log
	echo "**************************************************************************************" >> $log
	echo "" >> $log
fi
echo "######################################################################################" >> $log
echo "# Inhalt der /etc/cron.d/cron.allow                                                  #" >> $log
echo "######################################################################################" >> $log
if [ -s /etc/cron.d/cron.allow ]; then
	echo "" >> $log
	${CAT}  /etc/cron.d/cron.allow  >> $log
	echo "" >> $log
else
	echo "" >> $log
	echo "**************************************************************************************" >> $log
	echo "\tDie /etc/cron.d/cron.allow ist leer oder nicht vorhanden"  >> $log
	echo "**************************************************************************************" >> $log
	echo "" >> $log
fi
echo "######################################################################################" >> $log
echo "# Inhalt der /etc/cron.d/cron.deny                                                   #" >> $log
echo "######################################################################################" >> $log
if [ -s /etc/cron.d/cron.deny ]; then
	echo "" >> $log
	${CAT}  /etc/cron.d/cron.deny  >> $log
	echo "" >> $log
else
	echo "" >> $log
	echo "**************************************************************************************" >> $log
	echo "\tDie /etc/cron.d/cron.deny ist leer oder nicht vorhanden"  >> $log
	echo "**************************************************************************************" >> $log
	echo "" >> $log
fi
echo "######################################################################################" >> $log
echo "# Inhalt der /etc/cron.d/at.allow                                                    #" >> $log
echo "######################################################################################" >> $log
if [ -s /etc/cron.d/at.allow ]; then
	echo "" >> $log
	${CAT}  /etc/cron.d/at.allow  >> $log
	echo "" >> $log
else
	echo "" >> $log
	echo "**************************************************************************************" >> $log
	echo "\tDie /etc/cron.d/at.allow  ist leer oder nicht vorhanden"  >> $log
	echo "**************************************************************************************" >> $log
	echo "" >> $log
fi
echo "######################################################################################" >> $log
echo "# Inhalt der /etc/cron.d/at.deny                                                     #" >> $log
echo "######################################################################################" >> $log
if [ -s /etc/cron.d/at.deny ]; then
	echo "" >> $log
	${CAT}  /etc/cron.d/at.deny  >> $log
	echo "" >> $log
else
	echo "" >> $log
	echo "**************************************************************************************" >> $log
	echo "\tDie /etc/cron.d/cron.allow  ist leer oder nicht vorhanden"  >> $log
	echo "**************************************************************************************" >> $log
	echo "" >> $log
fi

echo "######################################################################################" >> $log
echo "# Inhalt der cronjobs in /var/spool/cron/crontabs/                                   #" >> $log
echo "######################################################################################" >> $log
for i in `ls /var/spool/cron/crontabs/`
do
	echo "" >> $log
	echo "**************************************************************************************" >> $log
	echo " Inhalt von /var/spool/cron/crontabs/$i                                             " >> $log
	echo "**************************************************************************************" >> $log
	echo "" >> $log
	${CAT} /var/spool/cron/crontabs/$i >> $log
	echo "" >> $log
done

${MAIL} -s "Benutzer + Cron `${HOSTNAME}`" $POSTLIST < $log
if [ $? -eq "0" ];then
	${RM} $log
fi
