#!/usr/bin/sh
# Aenderungen
# Ueberpruefung fuer die Vertias Version 3.5 eingebaut  DS      21.11.2002
# Fehler beseitig					DS	28.11.2002
 
#########################################################################
# Kommando-Variablen                                                    #
#########################################################################
# set -x
HOSTNAME=/usr/bin/hostname
VXLICENSE=/usr/sbin/vxlicense
if [ -x /usr/sbin/vxlicrep ];then
	VXLICREP=/usr/sbin/vxlicrep
elif [ -x /opt/VRTS/bin/vxlicrep ] ; then
	VXLICREP=/opt/VRTS/bin/vxlicrep
fi
PKGINFO=/usr/bin/pkginfo
GREP=/usr/bin/grep
MAILX=/usr/bin/mailx
AWK=/usr/xpg4/bin/awk
#########################################################################
# Programm-Variablen                                                    #
#########################################################################
#POSTLIST=dirk.schaefer@dit.de
POSTLIST=unix-admins_dl@dit.de
 
name=`${HOSTNAME}`
 
VERSION=`${PKGINFO} -l VRTSvxvm | ${GREP} "VERSION:" | ${AWK} -F\; '{print $1}' | ${AWK} '{print $NF}'`
 
if [ $VERSION = "3.1" ]; then
	warning=`${VXLICENSE} -p`
	${VXLICENSE} -p | ${GREP} "No expiration date" > /dev/null
	if [ "$?" = "1" ];then
		echo $name "$warning" | ${MAILX} -s "Veritas Licencs Key expiration $name" $POSTLIST
        fi
else
	warning=`${VXLICREP}`
	${VXLICREP} | ${GREP} "Invalid, Expired" > /dev/null
	if [ "$?" = "1" ];then
		echo $name "$warning" | ${MAILX} -s "Veritas Licencs Key expiration $name" $POSTLIST
	fi
fi
