#! /bin/sh
#
# rapport.sh
#
# Autor:	5.1.1999 R.Bender
#
# Aenderungen:
#	19.01.2000 Kuehn	Eintrag eines neuen Mail Empfaengers
#	25.01.2000 R.Bender	schneide@dit.de neu
#	25.01.2000 R.Bender	bartaemi@dit.de neu
#	20.04.2000 M. Hofmann	- rapport.txt und rapport.sh nach 
#				  /var/root/cronjob verlegt.
#				- Suche nach Benutzern ohne Passwort eingefuegt.
#				- Variable POSTLISTE eingefuehrt.
#

chmod 700 $0
log="/var/root/cronjob/rapport.txt"

POSTLISTE="benderra@dit.de          \
           branduwe@dit.de          \
           schiedhe@dit.de          \
           winfried.wojtenek@dit.de          \
           marcus.hofmann@dit.de    \
           kai-joachim.kuehn@dit.de \
           schneide@dit.de          \
           bartaemi@dit.de"

if [ -f $log ]
then
  /bin/rm $log
fi
echo "Subject: RAPPORTLOG for SOLARIS\n\n" >> $log
/bin/chmod og-rwx $log
echo GENERAL SYSTEM STATE: >> $log
echo >> $log
/bin/uname -a >> $log
/bin/date >> $log
/bin/who -r >> $log
echo >> $log
echo NETWORK: >> $log
echo >> $log
/usr/sbin/ifconfig hme0 >> $log
/usr/bin/netstat -i >> $log
/usr/bin/netstat -nr >> $log
echo >> $log
echo FILESYSTEM: >> $log
echo >> $log
/usr/bin/df -k >> $log
echo >> $log
echo SECURITY: >> $log
echo >> $log
/usr/bin/last | /usr/bin/grep root | /usr/bin/head >> $log
echo >> $log
/usr/bin/cat /var/adm/sulog | /usr/bin/grep root | /usr/bin/tail >> $log
echo >> $log
echo "BENUTZER OHNE PASSWORT" >> $log
/usr/bin/nawk '								\
    BEGIN								\
    {									\
	FS = ":";							\
    }									\
    {									\
	if (length($2) < 10 && $2 != "*" && $2 != "NP" && $2 != "*LK*") \
	{								\
	    printf"%s\n", $1;						\
	}								\
    }' /etc/shadow >> $log
if [ -f $log ]
then
  for benutzer in $POSTLISTE
  do
      /usr/bin/cat $log | /usr/bin/mail $benutzer
  done
else
  for benutzer in $POSTLISTE
  do
      echo Rapportdatei konnte nicht erstellt werden | /usr/bin/mail $benutzer
  done
fi
